Loading...
Searching...
No Matches
Halide::Internal::ErrorReport< Exception > Struct Template Referencefinal

`#include <Error.h>`

Inheritance diagram for Halide::Internal::ErrorReport< Exception >:

## Public Member Functions

ErrorReport & | init (const char *file, const char *function, const int line, const char *condition_string)
void | issue () noexcept(false)
Public Member Functions inherited from Halide::Internal::ReportBase< ErrorReport< Exception > >
HALIDE_ALWAYS_INLINE ErrorReport< Exception > & | operator<< (const S &x)
HALIDE_ALWAYS_INLINE | operator bool () const

## Additional Inherited Members

Protected Member Functions inherited from Halide::Internal::ReportBase< ErrorReport< Exception > >
std::string | finalize_message ()
ErrorReport< Exception > & | init (const char *file, const char *function, const int line, const char *condition_string, const char *prefix)
Protected Attributes inherited from Halide::Internal::ReportBase< ErrorReport< Exception > >
std::ostringstream | msg
bool | finalized

## Detailed Description

template<typename Exception>
struct Halide::Internal::ErrorReport< Exception >

Definition at line 164 of file Error.h.

## Member Function Documentation

## init()

template<typename Exception>

ErrorReport & Halide::Internal::ErrorReport< Exception >::init | ( | const char * | file,
|  | const char * | function,
|  | const int | line,
|  | const char * | condition_string )

inline

Definition at line 165 of file Error.h.

References Halide::Internal::ReportBase< T >::init().

## issue()

template<typename Exception>

void Halide::Internal::ErrorReport< Exception >::issue | ( |  | ) |

inline

Definition at line 169 of file Error.h.

References Halide::Internal::ReportBase< ErrorReport< Exception > >::finalize_message(), and Halide::Internal::throw_error().

The documentation for this struct was generated from the following file:

- src/Error.h